Subject: Complaint Case #: 37025512
From: "Mike" <[email-masked]>
To: "BBB of W.MI -Terry Glenn" <[email-masked]>
Date: Tue, 16 Nov 2010 09:59:01 -0500

Terry,
I noticed that case # 37025512 was marked as no response.  I did send a reply to you requesting your help.  I did not get a reply back so I  was not sure how to respond.  There really isn't much more I could say that might satisfy this customer. Is it possible to add something like "A mistake was made and we are working to rectify it.  We do apologize for any inconvenience this has caused."  That is probably what I should have added in the first place (though it is basically stated the same way the first time).  Let me know either way how things are progressing.

Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]